<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/DocBook.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.DocBook</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Package <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../DocBook.html" >DocBook</a>.DocBook

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="_summary_syntax">_summary_syntax</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line67" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="_detail_syntax">_detail_syntax</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line74" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="DocBook/Linker.html" >Linker</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.Linker" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Helper class to be used to resolve references from doc-strings to declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/_BaseClasses.html" >_BaseClasses</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook._BaseClasses" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line42" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/ModuleLister.html" >ModuleLister</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.ModuleLister" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line81" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Maps a module-tree to a &#40;flat&#41; list of modules.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/InheritanceFormatter.html" >InheritanceFormatter</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.InheritanceFormatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line95" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/FormatterBase.html" >FormatterBase</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.FormatterBase" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line121" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/SummaryFormatter.html" >SummaryFormatter</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line193" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A SummaryFormatter.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/DetailFormatter.html" >DetailFormatter</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.DetailFormatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line229" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/DocCache.html" >DocCache</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.DocCache" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line505" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/Formatter.html" >Formatter</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.Formatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line553" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a DocBook reference.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escape">escape</a>(<span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.escape" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DocBook.html#reference" >reference</a></span>(<span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.reference" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line29" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate an id suitable as a 'linkend' / 'id' attribute&#44; i.e.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="DocBook/Linker.html" >Linker</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.Linker" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Helper class to be used to resolve references from doc-strings to declarations.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/ModuleLister.html" >ModuleLister</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.ModuleLister" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line81" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Maps a module-tree to a &#40;flat&#41; list of modules.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/SummaryFormatter.html" >SummaryFormatter</a></div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line193" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">A SummaryFormatter.</div></div>
<div class="item"><div class="synopsis">class <a href="DocBook/Formatter.html" >Formatter</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.DocBook.DocBook.Formatter" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line553" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate a DocBook reference.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="reference">reference</a>(<span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.reference" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line29" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Generate an id suitable as a 'linkend' / 'id' attribute&#44; i.e. for linking.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
